class UpdateDboxEarDefault < ActiveRecord::Migration
  def self.up
    EMembership.all.each do |membership|
      if membership.dbox_ear == 'no'
        membership.update_attribute(:dbox_ear, "NULL")
      end
    end
    change_column :e_memberships, :dbox_ear, :string, limit: 10, default: "NULL"
    Invitation.all.each do |invitation|
      if invitation.ear == 'no'
        invitation.update_attribute(:ear, "NULL" )
      end
    end
    change_column :invitations,   :ear,      :string,    limit: 10,     default: "NULL"
  end
  
  def self.down
  end
end